/**
 * @version     $Id$
 * @author      JoomlaUX
 * @package     Joomla.Site
 * @subpackage  mod_jux_easy_megamenu
 * @copyright   Copyright (C) 2008 - 2018 JoomlaUX. All rights reserved.
 * @license     License GNU General Public License version 2 or later; see LICENSE.txt, see LICENSE.php
 */
(function($) {
    var $window = $(window),
        $stickies;


    $(document).ready(function() {
        var button_toggle = $('.collapsible');
        var button_expand = $('.mobile-caret');

        button_toggle.on('click', function(e) {
            e.preventDefault();
            // activate toggles
            var menu = $(this).next();

            menu.slideToggle(500);
            menu.toggleClass('open');
            var icon = $(this).data('menuicon');
            var iconClass = icon.split(' ').length > 1 ? icon.split(' ')[1] : icon.split(' ')[0];
            if ($(this).hasClass('active'))
                $(this).find('.toggle-menu-icn').removeClass('fa fa-remove').addClass(icon);
            else
                $(this).find('.toggle-menu-icn').removeClass(icon).addClass('fa fa-remove');
            $(this).toggleClass('active');

        })
        $('.jux-caret').on('click', function(e) {
            e.preventDefault();
            var menu_toggle = $(this).parents('.juxnav');
            var li_parent = $(this).parent().parent().parent();
            var liItems = $(this).parent().parent().parent().parent().children();
            if (li_parent.hasClass('active')) {
                li_parent.removeClass('active');
                li_parent.children('.jux-nav-child').not(".mega-group-ct").slideUp(400, 'linear');
                $(this).removeClass('jux-mobile-caret-rotate');
            } else {
                liItems.removeClass('active');
                liItems.find('.jux-nav-child').not(".mega-group-ct").slideUp(400, 'linear');
                liItems.find('.jux-caret').removeClass('jux-mobile-caret-rotate');
                li_parent.addClass('active');
                li_parent.children('.jux-nav-child').slideDown(400, 'linear');
                $(this).addClass('jux-mobile-caret-rotate');
            }
        });


    });


})(jQuery)